<?php
/*
  $Id: abxShipping.php,v 1.10 2006/02/21 04:25:36 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  if (class_exists('shipping') === false) {

    require_once(DIR_WS_CLASSES . 'shipping.php');

  }

  require_once(DIR_WS_MODULES . 'auctionblox/includes/database_tables.php');

  class abxShipping extends shipping {

    function quote($method = '', $module = '')
    {
  
      //global $order, $cart, $language;     
      if(isset($GLOBALS['fixed']) && is_object($GLOBALS['fixed']) && $GLOBALS['fixed']->is_enabled())
      {
	    $other = array();
	    $fixed = array();

        if($this->uses_other_shipping())
        {
      	  $other = parent::quote($method, $module);
        }
        else
        {
          $fixed[] = $GLOBALS['fixed']->quote($method, $module);
        }

        if(sizeof($fixed) === 0)
        {
      	  $other = parent::quote($method, $module);
        }
        
        return array_merge($fixed, $other);
      }
      else
      {
      	// not installed
        return parent::quote($method, $module);
      }      	
    }
    
    function uses_other_shipping()
    {
      if (MODULE_SHIPPING_FIXED_DISABLE_OTHERS === 'False')
        return true;

      return false;
    }


    function cheapest()
    {
      return parent::cheapest();
    }

  }//end class
?>
