<?php
/*
  $Id: auction_finder.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/
// require_once(DIR_WS_LANGUAGES . $language . '/' . FILENAME_ORDERS);
require_once(DIR_WS_CLASSES . 'super_cart.php');

class auctionOrder {
   function auctionOrder()
   {
   } 

   function populate($basket_id)
   {
      global $sendto, $billto, $cart, $languages_id, $currency, $currencies; 
      // $this->content_type = $cart->get_content_type();
      // $tax_address_query = tep_db_query("select ab.entry_country_id, ab.entry_zone_id from (" . TABLE_ADDRESS_BOOK . " ab) left join " . TABLE_ZONES . " z on (ab.entry_zone_id = z.zone_id) where ab.customers_id = '" . (int)$customer_id . "' and ab.address_book_id = '" . (int)($this->content_type == 'virtual' ? $billto : $sendto) . "'");
      // $tax_address = tep_db_fetch_array($tax_address_query);
      $countries_query = tep_db_query("select address_format_id from " . TABLE_COUNTRIES . " where countries_id = " . STORE_COUNTRY);
      $countries_array = tep_db_fetch_array($countries_query);
      $address_format_id = $countries_array['address_format_id'];

      $email_query = tep_db_query("select b.ext_email_address, b.ext_customer_id " . " from " . TABLE_AUCTION_BASKET . " a, " . TABLE_AUCTION_WINNERS . " b " . " where a.auction_winner_id = b.auction_winner_id" . " and a.auction_basket_id = '$basket_id'");
      $email_array = tep_db_fetch_array($email_query);
      $email = $email_array['ext_email_address'];
      $ext_customer_id = $email_array['ext_customer_id'];

      $cart = new superCart($email);
      $products = $cart->get_products();

      $this->cart = $cart;

      $subtotal = 0;
      for ($i = 0, $n = sizeof($products); $i < $n; $i++) {
         $this->products[$i] = array('qty' => $products[$i]['quantity'],
            'name' => $products[$i]['name'],
            'model' => $products[$i]['model'], 
            // 'tax' => $tax,
            // 'tax_description' => 'Tax',
            'price' => $products[$i]['price'],
            'final_price' => $products[$i]['price'] + $cart->attributes_price($products[$i]['id']),
            'weight' => $products[$i]['weight'],
            'id' => $products[$i]['id']);

         $subtotal += $this->products[$i]['final_price'] * $this->products[$i]['qty'];
      } 

      $id = $this->getPayPalIPNID($basket_id);

      $paypalipn_query_raw = "select * from " . TABLE_PAYPALIPN_TXN . " where paypalipn_txn_id = '$id'";
      $paypalipn_query = tep_db_query($paypalipn_query_raw);

      $pp_ipn = tep_db_fetch_array($paypalipn_query); 
      // anonymous user
      $this->info = array('order_status' => DEFAULT_ORDERS_STATUS_ID,
         'currency' => DEFAULT_CURRENCY,
         'currency_value' => '1',
         'payment_method' => "PayPal",
         'cc_type' => '',
         'cc_owner' => '',
         'cc_number' => '',
         'cc_expires' => '',
         'shipping_method' => 'Shipping and Handling',
         'shipping_cost' => 'Included in Subtotal',
         'subtotal' => $pp_ipn['mc_gross'] - $pp_ipn['tax'],
         'tax' => $pp_ipn['tax'],
         'tax_groups' => array(),
         'comments' => $pp_ipn['memo']); 
      // 'paypal_ipn_id' => $id);
      $this->customer = array('firstname' => $pp_ipn['first_name'],
         'lastname' => $pp_ipn['last_name'],
         'company' => $pp_ipn['payer_business_name'],
         'street_address' => $pp_ipn['address_street'],
         'suburb' => '',
         'city' => $pp_ipn['address_city'],
         'postcode' => $pp_ipn['address_zip'],
         'state' => $pp_ipn['address_state'], 
         // 'zone_id' => $customer_address['entry_zone_id'],
         'country' => array('title' => $pp_ipn['address_country']), 
         // 'title' => $customer_address['countries_name'],
         // 'iso_code_2' => $customer_address['countries_iso_code_2'],
         // 'iso_code_3' => $customer_address['countries_iso_code_3']),
         'format_id' => $address_format_id, 
         // 'telephone' => $customer_address['customers_telephone'],
         'email_address' => $email,
         'ext_customer_id' => $ext_customer_id);

      $this->delivery = array('firstname' => $pp_ipn['first_name'],
         'lastname' => $pp_ipn['last_name'],
         'company' => $pp_ipn['payer_business_name'],
         'street_address' => $pp_ipn['address_street'],
         'suburb' => '',
         'city' => $pp_ipn['address_city'],
         'postcode' => $pp_ipn['address_zip'],
         'state' => $pp_ipn['address_state'], 
         // 'zone_id' => $customer_address['entry_zone_id'],
         'format_id' => $address_format_id,
         'country' => array('title' => $pp_ipn['address_country'])); 
      // 'title' => $customer_address['countries_name'],
      // 'iso_code_2' => $customer_address['countries_iso_code_2'],
      // 'iso_code_3' => $customer_address['countries_iso_code_3']),
      $this->billing = array('firstname' => $pp_ipn['first_name'],
         'lastname' => $pp_ipn['last_name'],
         'company' => $pp_ipn['payer_business_name'],
         'street_address' => $pp_ipn['address_street'],
         'suburb' => '',
         'city' => $pp_ipn['address_city'],
         'postcode' => $pp_ipn['address_zip'],
         'state' => $pp_ipn['address_state'], 
         // 'zone_id' => $customer_address['entry_zone_id'],
         'format_id' => $address_format_id,
         'country' => array('title' => $pp_ipn['address_country'])); 
      // 'title' => $customer_address['countries_name'],
      // 'iso_code_2' => $customer_address['countries_iso_code_2'],
      // 'iso_code_3' => $customer_address['countries_iso_code_3']),
      /*
        if ($products[$i]['attributes']) {
          $subindex = 0;
          reset($products[$i]['attributes']);
          while (list($option, $value) = each($products[$i]['attributes'])) {
            $attributes_query = tep_db_query("select popt.products_options_name, poval.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa where pa.products_id = '" . (int)$products[$i]['id'] . "' and pa.options_id = '" . (int)$option . "' and pa.options_id = popt.products_options_id and pa.options_values_id = '" . (int)$value . "' and pa.options_values_id = poval.products_options_values_id and popt.language_id = '" . (int)$languages_id . "' and poval.language_id = '" . (int)$languages_id . "'");
            $attributes = tep_db_fetch_array($attributes_query);

            $this->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options_name'],
                                                                     'value' => $attributes['products_options_values_name'],
                                                                     'option_id' => $option,
                                                                     'value_id' => $value,
                                                                     'prefix' => $attributes['price_prefix'],
                                                                     'price' => $attributes['options_values_price']);

            $subindex++;
          }
        }

        $shown_price = tep_add_tax($this->products[$index]['final_price'], $this->products[$index]['tax']) * $this->products[$index]['qty'];
        $this->info['subtotal'] += $shown_price;

        $products_tax = $this->products[$index]['tax'];
        $products_tax_description = $this->products[$index]['tax_description'];
        if (DISPLAY_PRICE_WITH_TAX == 'true') {
          $this->info['tax'] += $shown_price - ($shown_price / (($products_tax < 10) ? "1.0" . str_replace('.', '', $products_tax) : "1." . str_replace('.', '', $products_tax)));
          if (isset($this->info['tax_groups']["$products_tax_description"])) {
            $this->info['tax_groups']["$products_tax_description"] += $shown_price - ($shown_price / (($products_tax < 10) ? "1.0" . str_replace('.', '', $products_tax) : "1." . str_replace('.', '', $products_tax)));
          } else {
            $this->info['tax_groups']["$products_tax_description"] = $shown_price - ($shown_price / (($products_tax < 10) ? "1.0" . str_replace('.', '', $products_tax) : "1." . str_replace('.', '', $products_tax)));
          }
        } else {
          $this->info['tax'] += ($products_tax / 100) * $shown_price;
          if (isset($this->info['tax_groups']["$products_tax_description"])) {
            $this->info['tax_groups']["$products_tax_description"] += ($products_tax / 100) * $shown_price;
          } else {
            $this->info['tax_groups']["$products_tax_description"] = ($products_tax / 100) * $shown_price;
          }
        }

        $index++;
      }

      if (DISPLAY_PRICE_WITH_TAX == 'true') {
        $this->info['total'] = $this->info['subtotal'] + $this->info['shipping_cost'];
      } else {
        $this->info['total'] = $this->info['subtotal'] + $this->info['tax'] + $this->info['shipping_cost'];
      }
*/
      $this->info['total'] = $pp_ipn['mc_gross'];
      if ($this->info['total'] >= $subtotal) {
         $this->info['tax'] = $pp_ipn['tax'];
         $this->info['subtotal'] = $subtotal;
         $this->info['shipping'] = $pp_ipn['mc_gross'] - $this->info['tax'] - $subtotal;
      } else if ($this->info['total'] == 0) {
         $this->info['total'] = $subtotal;
         $this->info['subtotal'] = $subtotal;
         $this->info['tax'] = 0;
         $this->info['shipping'] = 0;
      } 
      // $this->process($cart);
   } 

   function getPayPalIPNID($auction_basket_id)
   {
      $paypay_query_raw = "select p.paypalipn_txn_id  from " .
      TABLE_PAYPALIPN_AUCTION . " p, " .
      TABLE_AUCTION_BASKET . " b, " .
      TABLE_AUCTION_WINNERS . " w " . " where p.item_number = b.ext_id " . " and b.auction_basket_id = '$auction_basket_id'" . " and p.auction_buyer_id = w.ext_customer_id" . " and b.auction_winner_id = w.auction_winner_id" . " and p.is_old = 0";
      $paypal_query = tep_db_query($paypay_query_raw); 
      // TODO:  Add the order date here and handle only completed transactions
      /*          $pp_query_raw = "SELECT * from paypal_ipn p, paypal_ipn_payment_status s " .
		  				" where p.paypal_txn_id = s.paypal_txn_id" .
						" and p.paypal_txn_id = $id" .
		  				" and s.payment_status = 'Completed'";
*/$pp = tep_db_fetch_array($paypal_query);
      return $pp['paypalipn_txn_id'];
   } 

   function process()
   {
      $currencies = new currencies();
      $order = $this;
      $cart = $this->cart;

      $customerSearch_query_raw = "SELECT customers_id FROM " . TABLE_CUSTOMERS . " WHERE customers_email_address = '" . $order->customer['email_address'] . "'";
      $customerSearch_query = tep_db_query($customerSearch_query_raw);
      if ($customerSearch = tep_db_fetch_array($customerSearch_query)) {
         $customer_insert_id = $customerSearch['customers_id'];
      } else {
         $sql_data_array = array('customers_firstname' => tep_db_prepare_input($order->customer['firstname']),
            'customers_lastname' => tep_db_prepare_input($order->customer['lastname'] . ' (' . $order->customer['ext_customer_id'] . ')'),
            'customers_email_address' => tep_db_prepare_input($order->customer['email_address']),
            'customers_password' => tep_db_prepare_input($this->generateRandomPassword()),
            'customers_newsletter' => 1);

         tep_db_perform(TABLE_CUSTOMERS, $sql_data_array);
         $customer_insert_id = tep_db_insert_id();

         $sql_data_array = array('customers_info_id' => $customer_insert_id,
            'customers_info_date_account_created' => tep_db_prepare_input(date("Y-m-d H:i:s")),
            'customers_info_date_account_last_modified' => tep_db_prepare_input(date("Y-m-d H:i:s")));

         tep_db_perform(TABLE_CUSTOMERS_INFO, $sql_data_array);

         $sql_data_array = array('customers_id' => $customer_insert_id,
            'entry_firstname' => tep_db_prepare_input($order->customer['firstname']),
            'entry_lastname' => tep_db_prepare_input($order->customer['lastname']),
            'entry_company' => tep_db_prepare_input($order->customer['company']),
            'entry_street_address' => tep_db_prepare_input($order->customer['street_address']),
            'entry_suburb' => tep_db_prepare_input($order->customer['suburb']),
            'entry_city' => tep_db_prepare_input($order->customer['city']),
            'entry_postcode' => tep_db_prepare_input($order->customer['postcode']),
            'entry_state' => tep_db_prepare_input($order->customer['state']),
            'entry_country_id' => tep_db_prepare_input(fetch_customer_country_id($order->customer['country'])),
            'entry_zone_id' => tep_db_prepare_input(fetch_customer_zone_id($order->customer['state'])));

         tep_db_perform(TABLE_ADDRESS_BOOK, $sql_data_array);
         $address_book_insert_id = tep_db_insert_id();

         $updateCustomerSQL = "UPDATE " . TABLE_CUSTOMERS . " SET customers_default_address_id = '" . $address_book_insert_id . "' WHERE customers_id = '" . $customer_insert_id . "'";
         tep_db_query($updateCustomerSQL); 

         // Sends email to customer with their username/password
         $subject = "Your Account Has Been Created At " . STORE_NAME;

         $body = "Dear " . stripslashes($order->delivery['firstname'] . " " . $order->delivery['lastname']) . ",\n\n";
         $body .= "Your account has been added to our system on " . date("M-d-Y") . "\n\n";
         $body .= "You can log onto our store to check the status of your order with the following information: \n";
         $body .= "Login: " . $order->customer['email_address'] . " \n";
         $body .= "Password: " . $pass . " \n";
         $body .= "\n\n";
         $body .= STORE_NAME . "\n";

		 tep_mail($order->delivery['firstname'] . ' ' . $order->delivery['lastname'], $order->customer['email_address'], $subject, $body, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
      } 

      $sql_data_array = array('customers_id' => $customer_insert_id,
         'customers_name' => tep_db_prepare_input($order->customer['firstname'] . ' ' . $order->customer['lastname'] . ' (' . $order->customer['ext_customer_id'] . ')'),
         'customers_company' => tep_db_prepare_input($order->customer['company']),
         'customers_street_address' => tep_db_prepare_input($order->customer['street_address']),
         'customers_suburb' => tep_db_prepare_input($order->customer['suburb']),
         'customers_city' => tep_db_prepare_input($order->customer['city']),
         'customers_postcode' => tep_db_prepare_input($order->customer['postcode']),
         'customers_state' => tep_db_prepare_input($order->customer['state']),
         'customers_country' => tep_db_prepare_input($order->customer['country']),
         'customers_telephone' => tep_db_prepare_input($order->customer['telephone']),
         'customers_email_address' => tep_db_prepare_input($order->customer['email_address']),
         'customers_address_format_id' => tep_db_prepare_input($order->customer['format_id']),
         'delivery_name' => tep_db_prepare_input($order->delivery['firstname'] . ' ' . $order->delivery['lastname']),
         'delivery_company' => tep_db_prepare_input($order->delivery['company']),
         'delivery_street_address' => tep_db_prepare_input($order->delivery['street_address']),
         'delivery_suburb' => tep_db_prepare_input($order->delivery['suburb']),
         'delivery_city' => tep_db_prepare_input($order->delivery['city']),
         'delivery_postcode' => tep_db_prepare_input($order->delivery['postcode']),
         'delivery_state' => tep_db_prepare_input($order->delivery['state']),
         'delivery_country' => tep_db_prepare_input($order->delivery['country']),
         'delivery_address_format_id' => tep_db_prepare_input($order->delivery['format_id']),
         'billing_name' => tep_db_prepare_input($order->billing['firstname'] . ' ' . $order->billing['lastname']),
         'billing_company' => tep_db_prepare_input($order->billing['company']),
         'billing_street_address' => tep_db_prepare_input($order->billing['street_address']),
         'billing_suburb' => tep_db_prepare_input($order->billing['suburb']),
         'billing_city' => tep_db_prepare_input($order->billing['city']),
         'billing_postcode' => tep_db_prepare_input($order->billing['postcode']),
         'billing_state' => tep_db_prepare_input($order->billing['state']),
         'billing_country' => tep_db_prepare_input($order->billing['country']),
         'billing_address_format_id' => tep_db_prepare_input($order->billing['format_id']),
         'payment_method' => tep_db_prepare_input($order->info['payment_method']),
         'cc_type' => tep_db_prepare_input($order->info['cc_type']),
         'cc_owner' => tep_db_prepare_input($order->info['cc_owner']),
         'cc_number' => tep_db_prepare_input($order->info['cc_number']),
         'cc_expires' => tep_db_prepare_input($order->info['cc_expires']),
         'date_purchased' => 'now()',
         'orders_status' => tep_db_prepare_input($order->info['order_status']),
         'currency' => tep_db_prepare_input($order->info['currency']),
         'currency_value' => tep_db_prepare_input($order->info['currency_value'])); 
      // 'paypal_ipn_id' => $order->info['paypal_ipn_id']);// PayPal_Shopping_Cart_IPN
      tep_db_perform(TABLE_ORDERS, $sql_data_array);
      $insert_id = tep_db_insert_id();

      $sql_data_array = array('orders_id' => $insert_id,
         'title' => ENTRY_SUB_TOTAL,
         'text' => $currencies->format($order->info['subtotal'], true, $order->info['currency'], $order->info['currency_value']),
         'value' => $order->info['subtotal'],
         'class' => "ot_subtotal",
         'sort_order' => "1");
      tep_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);

      $sql_data_array = array('orders_id' => $insert_id,
         'title' => ENTRY_TAX,
         'text' => $currencies->format($order->info['tax'], true, $order->info['currency'], $order->info['currency_value']),
         'value' => $order->info['tax'],
         'class' => "ot_tax",
         'sort_order' => "2");
      tep_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);

      $sql_data_array = array('orders_id' => $insert_id,
         'title' => ENTRY_SHIPPING,
         'text' => $currencies->format($order->info['shipping'], true, $order->info['currency'], $order->info['currency_value']),
         'value' => $order->info['shipping'],
         'class' => "ot_shipping",
         'sort_order' => "3");
      tep_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);

      $sql_data_array = array('orders_id' => $insert_id,
         'title' => ENTRY_TOTAL,
         'text' => $currencies->format($order->info['total'], true, $order->info['currency'], $order->info['currency_value']),
         'value' => $order->info['total'],
         'class' => "ot_total",
         'sort_order' => "4");
      tep_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array); 
      // Enters Customer ID into the auction_winners table
      /*      $auctionInfo_query_raw = "SELECT auction_winner_id FROM " . TABLE_AUCTION_BASKET . " WHERE orders_id = '" . $insert_id . "'";
      $auctionInfo_query = tep_db_query($auctionInfo_query_raw);
      if ($auctionInfo = tep_db_fetch_array($auctionInfo_query)) {
         $updateAuctionInfo = "UPDATE " . TABLE_AUCTION_WINNERS . " SET customers_id = '" . $customer_insert_id . "' WHERE auction_winner_id = '" . $auctionInfo['auction_winner_id'] . "'";
         mysql_query($updateAuctionInfo);
      } 
*/
      // initialized for the email confirmation
      $products_ordered = '';
      $subtotal = 0;
      $total_tax = 0;

      for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {
         // Stock Update - Joao Correia
         if (STOCK_LIMITED == 'true') {
            if (DOWNLOAD_ENABLED == 'true') {
               $stock_query_raw = "SELECT products_quantity, pad.products_attributes_filename 
                            FROM " . TABLE_PRODUCTS . " p
                            LEFT JOIN " . TABLE_PRODUCTS_ATTRIBUTES . " pa
                             ON p.products_id=pa.products_id
                            LEFT JOIN " . TABLE_PRODUCTS_ATTRIBUTES_DOWNLOAD . " pad
                             ON pa.products_attributes_id=pad.products_attributes_id
                            WHERE p.products_id = '" . tep_get_prid($order->products[$i]['id']) . "'"; 
               // Will work with only one option for downloadable products
               // otherwise, we have to build the query dynamically with a loop
               $products_attributes = $order->products[$i]['attributes'];
               if (is_array($products_attributes)) {
                  $stock_query_raw .= " AND pa.options_id = '" . $products_attributes[0]['option_id'] . "' AND pa.options_values_id = '" . $products_attributes[0]['value_id'] . "'";
               } 
               $stock_query = tep_db_query($stock_query_raw);
            } else {
               $stock_query = tep_db_query("select products_quantity from " . TABLE_PRODUCTS . " where products_id = '" . tep_get_prid($order->products[$i]['id']) . "'");
            } 
            if (tep_db_num_rows($stock_query) > 0) {
               $stock_values = tep_db_fetch_array($stock_query); 
               // do not decrement quantities if products_attributes_filename exists
               if ((DOWNLOAD_ENABLED != 'true') || (!$stock_values['products_attributes_filename'])) {
                  $stock_left = $stock_values['products_quantity'] - $order->products[$i]['qty'];
               } else {
                  $stock_left = $stock_values['products_quantity'];
               } 
               tep_db_query("update " . TABLE_PRODUCTS . " set products_quantity = '" . $stock_left . "' where products_id = '" . tep_get_prid($order->products[$i]['id']) . "'");
               if (($stock_left < 1) && (STOCK_ALLOW_CHECKOUT == 'false')) {
                  tep_db_query("update " . TABLE_PRODUCTS . " set products_status = '0' where products_id = '" . tep_get_prid($order->products[$i]['id']) . "'");
               } 
            } 
         } 
         // Update products_ordered (for bestsellers list)
         tep_db_query("update " . TABLE_PRODUCTS . " set products_ordered = products_ordered + " . sprintf('%d', $order->products[$i]['qty']) . " where products_id = '" . tep_get_prid($order->products[$i]['id']) . "'");

         $sql_data_array = array('orders_id' => $insert_id,
            'products_id' => tep_get_prid($order->products[$i]['id']),
            'products_model' => $order->products[$i]['model'],
            'products_name' => $order->products[$i]['name'],
            'products_price' => $order->products[$i]['price'],
            'final_price' => $order->products[$i]['final_price'],
            'products_tax' => $order->products[$i]['tax'],
            'products_quantity' => $order->products[$i]['qty']);
         tep_db_perform(TABLE_ORDERS_PRODUCTS, $sql_data_array);
         $order_products_id = tep_db_insert_id(); 
         // ------insert customer choosen option to order--------
         $attributes_exist = '0';
         $products_ordered_attributes = '';
         if (isset($order->products[$i]['attributes'])) {
            $attributes_exist = '1';
            for ($j = 0, $n2 = sizeof($order->products[$i]['attributes']); $j < $n2; $j++) {
               if (DOWNLOAD_ENABLED == 'true') {
                  $attributes_query = "select popt.products_options_name, poval.products_options_values_name, pa.options_values_price, pa.price_prefix, pad.products_attributes_maxdays, pad.products_attributes_maxcount , pad.products_attributes_filename 
                               from (" . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa )
                               left join " . TABLE_PRODUCTS_ATTRIBUTES_DOWNLOAD . " pad
                                on pa.products_attributes_id=pad.products_attributes_id
                               where pa.products_id = '" . $order->products[$i]['id'] . "' 
                                and pa.options_id = '" . $order->products[$i]['attributes'][$j]['option_id'] . "' 
                                and pa.options_id = popt.products_options_id 
                                and pa.options_values_id = '" . $order->products[$i]['attributes'][$j]['value_id'] . "' 
                                and pa.options_values_id = poval.products_options_values_id 
                                and popt.language_id = '" . $languages_id . "' 
                                and poval.language_id = '" . $languages_id . "'";
                  $attributes = tep_db_query($attributes_query);
               } else {
                  $attributes = tep_db_query("select popt.products_options_name, poval.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa where pa.products_id = '" . $order->products[$i]['id'] . "' and pa.options_id = '" . $order->products[$i]['attributes'][$j]['option_id'] . "' and pa.options_id = popt.products_options_id and pa.options_values_id = '" . $order->products[$i]['attributes'][$j]['value_id'] . "' and pa.options_values_id = poval.products_options_values_id and popt.language_id = '" . $languages_id . "' and poval.language_id = '" . $languages_id . "'");
               } 
               $attributes_values = tep_db_fetch_array($attributes);

               $sql_data_array = array('orders_id' => $insert_id,
                  'orders_products_id' => $order_products_id,
                  'products_options' => $attributes_values['products_options_name'],
                  'products_options_values' => $attributes_values['products_options_values_name'],
                  'options_values_price' => $attributes_values['options_values_price'],
                  'price_prefix' => $attributes_values['price_prefix']);
               tep_db_perform(TABLE_ORDERS_PRODUCTS_ATTRIBUTES, $sql_data_array);

               if ((DOWNLOAD_ENABLED == 'true') && isset($attributes_values['products_attributes_filename']) && tep_not_null($attributes_values['products_attributes_filename'])) {
                  $sql_data_array = array('orders_id' => $insert_id,
                     'orders_products_id' => $order_products_id,
                     'orders_products_filename' => $attributes_values['products_attributes_filename'],
                     'download_maxdays' => $attributes_values['products_attributes_maxdays'],
                     'download_count' => $attributes_values['products_attributes_maxcount']);
                  tep_db_perform(TABLE_ORDERS_PRODUCTS_DOWNLOAD, $sql_data_array);
               } 
               $products_ordered_attributes .= "\n\t" . $attributes_values['products_options_name'] . ' ' . $attributes_values['products_options_values_name'];
            } 
         } 
         // ------insert customer choosen option eof ----
         $total_weight += ($order->products[$i]['qty'] * $order->products[$i]['weight']);
         $total_tax += tep_calculate_tax($total_products_price, $products_tax) * $order->products[$i]['qty'];
         $total_cost += $total_products_price;

         $products_ordered .= $order->products[$i]['qty'] . ' x ' . $order->products[$i]['name'] . ' (' . $order->products[$i]['model'] . ') = ' . $currencies->display_price($order->products[$i]['final_price'], $order->products[$i]['tax'], $order->products[$i]['qty']) . $products_ordered_attributes . "\n";
      } 
      // lets start with the email confirmation
      $email_order = STORE_NAME . "\n" .
      EMAIL_SEPARATOR . "\n" .
      EMAIL_TEXT_ORDER_NUMBER . ' ' . $insert_id . "\n" . 
      // EMAIL_TEXT_INVOICE_URL . ' ' . tep_href_link(FILENAME_ACCOUNT_HISTORY_INFO, 'order_id=' . $insert_id, 'SSL', false) . "\n" .
      EMAIL_TEXT_DATE_ORDERED . ' ' . strftime(DATE_FORMAT_LONG) . "\n\n";
      if ($order->info['comments']) {
         $email_order .= tep_db_output($order->info['comments']) . "\n\n";
      } 
      $email_order .= TABLE_HEADING_PRODUCTS . "\n" .
      EMAIL_SEPARATOR . "\n" . $products_ordered .
      EMAIL_SEPARATOR . "\n";

      for ($i = 0, $n = sizeof($order_totals); $i < $n; $i++) {
         $email_order .= strip_tags($order_totals[$i]['title']) . ' ' . strip_tags($order_totals[$i]['text']) . "\n";
      } 
      // required for tep_address_format
      $order->delivery['country'] = $order->delivery['country']['title'];
      if ($order->content_type != 'virtual') {
         $email_order .= "\n" . ENTRY_SHIP_TO . "\n" .
         EMAIL_SEPARATOR . "\n" .
         tep_address_format($order->delivery['format_id'], $order->delivery, false, '', "\n") . "\n";
      } 
      // required for tep_address_format
      $order->billing['country'] = $order->billing['country']['title'];
      $email_order .= "\n" . ENTRY_SOLD_TO . "\n" .
      EMAIL_SEPARATOR . "\n" .
      tep_address_format($order->billing['format_id'], $order->billing, false, '', "\n") . "\n";

      if (is_object($$payment)) {
         $email_order .= EMAIL_TEXT_PAYMENT_METHOD . "\n" .
         EMAIL_SEPARATOR . "\n";
         $payment_class = $$payment;
         $email_order .= $payment_class->title . "\n\n";
         if ($payment_class->email_footer) {
            $email_order .= $payment_class->email_footer . "\n\n";
         } 
      } 
      tep_mail($order->customer['firstname'] . ' ' . $order->customer['lastname'], $order->customer['email_address'], EMAIL_TEXT_SUBJECT, $email_order, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS); 
      // send emails to other people
      if (SEND_EXTRA_ORDER_EMAILS_TO != '') {
         tep_mail('', SEND_EXTRA_ORDER_EMAILS_TO, EMAIL_TEXT_SUBJECT, $email_order, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
      } 
      // +++AUCTIONBLOX.COM
      $cart->reset(true); 
      // +++AUCTIONBLOX.COM
      return $insert_id;
   } 
   // 
   // Function:fetch_customer_country_id
   // Tries to match the Country to a known country in the countries table
   function fetch_customer_country_id($country)
   {
      $country_query_raw = "SELECT countries_id FROM countries WHERE countries_name = '" . $country . "'";
      $country_query = tep_db_query($country_query_raw);

      if ($country = tep_db_fetch_array($country_query)) {
         $country_id = $country['countries_id'];
      } else {
         $country_id = null;
      } 

      return $country_id;
   } 
   // Function:fetch_customer_zone_id
   // Tries to match the zone to a known zone in the zones table
   function fetch_customer_zone_id($zone)
   { 
      // Tries to match the Zone
      $zone_query_raw = "SELECT zone_id FROM zones WHERE (zone_name = '" . $zone . "') OR (zone_code = '" . $zone . "')";
      $zone_query = tep_db_query($zone_query_raw);

      if ($zone = tep_db_fetch_array($zone_query)) {
         $zone_id = $zone['zone_id'];
      } else {
         $zone_id = null;
      } 

      return $zone_id;
   } 

   function generateRandomPassword()
   { 
      // Generates a random 8 character password and encrypts it to OSC specs
      $pass = null;
      $raw_password = '';
      $password = '';
      $len = 8;
      for($i = 0; $i < $len; $i++) {
         $char = chr(rand(48, 122));
         while (!ereg("[a-zA-Z0-9]", $char)) {
            if ($char == $lchar) continue;
            $char = chr(rand(48, 90));
         } 

         $pass .= $char;
         $lchar = $char;
      } 

      $salt = substr(md5($password), 0, 2);
      $password = md5($salt . $pass) . ':' . $salt;

      return $password;
   } 
} 

?>