<?php
/*
  $Id: products_multi.php, v 2.0

  autor: sr, 2003-07-31 / sr@ibis-project.de

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'mehrfacher Produktoperator');
define('HEADING_TITLE_SEARCH', 'Suche:');
define('HEADING_TITLE_GOTO', 'Gehen Sie Zu:');

define('TABLE_HEADING_ID', 'ID');
define('TABLE_HEADING_CATEGORIES_PRODUCTS', 'Kategorien / Produkte');
define('TABLE_HEADING_ACTION', 'T&auml;tigkeit');
define('TABLE_HEADING_STATUS', 'Status');

define('DEL_DELETE', 'L&ouml;schungprodukt');
define('DEL_CHOOSE_DELETE_ART', 'Wie man l&ouml;scht?');
define('DEL_THIS_CAT', 'nur in dieser Kategorie');
define('DEL_COMPLETE', 'l&ouml;schen Sie das komplette Produkt');

define('TEXT_NEW_PRODUCT', 'Neu Produkt innen &quot;%s&quot;');
define('TEXT_CATEGORIES', 'Kategorien:');
define('TEXT_ATTENTION_DANGER', '<br><br><span class="dataTableContentRedAlert">!!! Attention !!! bitte gelesen !!!</span><br><br><span class="dataTableContentRed">Dieses Werkzeug &auml;ndert die Tabellen "products_to_categories" (und falls von \'l&ouml;schen Sie das komplette Produkt\' gleichm&auml;&szlig;ig "products" und "products_description" unter anderen; cf. function \'tep_remove_product\') - so eine Unterst&uuml;tzung dieser Tabellen, bevor jeder Gebrauch des Werkzeugs in hohem Grade empfohlen wird, weil:<br><br>Dieses Werkzeug l&ouml;scht, Bewegungen oder Kopien alle &uuml;ber checkbox vorgew&auml;hlte Produkte ohne irgendeinen Zwischenschritt oder -warnung, da&szlig; Mittel sofort nach dem Klicken auf der Gehentaste.</span><br><br><span class="dataTableContentRedAlert">Bitte mach&acute;s gut:</span><ul><li>Gro&szlig;e Aufmerksamkeit der Bezahlung sehr beim Verwenden <strong>\'l&ouml;schen Sie das komplette Produkt\'</strong>. diese Funktion l&ouml;scht alle vorgew&auml;hlten Produkte sofort, ohne Zwischenschritt oder Warnung und vollst&auml;ndig aus allen Tabellen, denen diese Produkte geh&ouml;ren.</strong></li><li>Beim W&auml;hlen <strong>\'L&ouml;schungprodukt nur in dieser Kategorie\'</strong>, keine Produkte werden vollst&auml;ndig, aber nur ihre Verbindungen zur wirklich ge&ouml;ffneten Kategorie gel&ouml;scht - selbst wenn es die einzige Kategorie-Verbindung des Produktes ist und ohne Warnung, die bedeutet:  geben Sie mit diesem L&ouml;schungwerkzeug au&szlig;erdem.</li><li>W&auml;hrend <strong>Kopie</strong>, Produkte werden nicht kopiert, sie werden verbunden nur mit der neuen gew&auml;hlten Kategorie.</li><li>Produkte seien Sie nur <strong>moved</strong> resp. <strong>copied</strong> zu einer neuen Kategorie, falls sie nicht dort allready bestehen.</li></ul>');
define('TEXT_MOVE_TO', 'bewegen Sie auf');
define('TEXT_CHOOSE_ALL', 'w&auml;hlen Sie alle');
define('TEXT_CHOOSE_ALL_REMOVE', 'entfernen Sie gew&auml;hlt');
define('TEXT_SUBCATEGORIES', 'Unterkategorien:');
define('TEXT_PRODUCTS', 'Produkte:');
define('TEXT_PRODUCTS_PRICE_INFO', 'Preis:');
define('TEXT_PRODUCTS_TAX_CLASS', 'Tax Class:');
define('TEXT_PRODUCTS_AVERAGE_RATING', 'Durchschnittliche Bewertung:');
define('TEXT_PRODUCTS_QUANTITY_INFO', 'Quantit&auml;t:');
define('TEXT_DATE_ADDED', 'Datum Addiert:');
define('TEXT_DATE_AVAILABLE', 'Datum Vorhanden:');
define('TEXT_LAST_MODIFIED', 'Last Modified:');
define('TEXT_IMAGE_NONEXISTENT', 'IMAGE DOES NOT EXIST');
define('TEXT_NO_CHILD_CATEGORIES_OR_PRODUCTS', 'Setzen Sie bitte eine neue Kategorie oder ein Produkt innen<br>&nbsp;<br><b>%s</b>');
define('TEXT_PRODUCT_MORE_INFORMATION', 'Zu mehr Information besuchen Sie bitte dieses Produktes <a href="http://%s" target="blank"><u>webpage</u></a>.');
define('TEXT_PRODUCT_DATE_ADDED', 'Dieses Produkt wurde unserem Katalog an hinzugef&uuml;gt %s.');
define('TEXT_PRODUCT_DATE_AVAILABLE', 'Dieses Produkt ist auf Lager an %s.');

define('TEXT_EDIT_INTRO', 'Nehmen Sie bitte alle notwendigen &Auml;nderungen');
define('TEXT_EDIT_CATEGORIES_ID', 'Kategorie ID:');
define('TEXT_EDIT_CATEGORIES_NAME', 'Kategorie Name:');
define('TEXT_EDIT_CATEGORIES_IMAGE', 'Kategorie Image:');
define('TEXT_EDIT_SORT_ORDER', 'Sort Order:');

define('TEXT_INFO_COPY_TO_INTRO', 'W&auml;hlen Sie bitte eine neue Kategorie, die Sie dieses Produkt zu kopieren m&ouml;chten');
define('TEXT_INFO_CURRENT_CATEGORIES', 'Gegenw&auml;rtig Categories:');

define('TEXT_INFO_HEADING_NEW_CATEGORY', 'Neu Kategorie');
define('TEXT_INFO_HEADING_EDIT_CATEGORY', 'Redigieren Sie Kategorie');
define('TEXT_INFO_HEADING_DELETE_CATEGORY', 'L&ouml;schung Kategorie');
define('TEXT_INFO_HEADING_MOVE_CATEGORY', 'Verschieben Sie Kategorie');
define('TEXT_INFO_HEADING_DELETE_PRODUCT', 'L&ouml;schungcProdukt');
define('TEXT_INFO_HEADING_MOVE_PRODUCT', 'Verschieben Sie Produkt');
define('TEXT_INFO_HEADING_COPY_TO', 'Kopieren Sie Zu');

define('TEXT_DELETE_CATEGORY_INTRO', 'Sind Sie sicher Sie m&ouml;chten diese Kategorie l&ouml;schen?');
define('TEXT_DELETE_PRODUCT_INTRO', 'Sind Sie sicher Sie m&ouml;chten dieses Produkt dauerhaft l&ouml;schen?');

define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNING:</b> Es gibt %s (child-)Kategorien verbanden noch mit dieser Kategorie!');
define('TEXT_DELETE_WARNING_PRODUCTS', '<b>WARNING:</b> Es gibt %s Produkte verbanden noch mit dieser Kategorie!');

define('TEXT_MOVE_PRODUCTS_INTRO', 'W&auml;hlen Sie bitte vor, das Kategorie Sie w&uuml;nschen <b>%s</b> innen liegen');
define('TEXT_MOVE_CATEGORIES_INTRO', 'W&auml;hlen Sie bitte vor, das Kategorie Sie w&uuml;nschen <b>%s</b> innen liegen');
define('TEXT_MOVE', 'Move <b>%s</b> to:');

define('TEXT_NEW_CATEGORY_INTRO', 'F&uuml;llen Sie bitte heraus die folgenden Informationen f&uuml;r die neue Kategorie');
define('TEXT_CATEGORIES_NAME', 'Kategorie Name:');
define('TEXT_CATEGORIES_IMAGE', 'Kategorie Image:');
define('TEXT_SORT_ORDER', 'Sort Order:');

define('TEXT_PRODUCTS_STATUS', 'Produkte Status:');
define('TEXT_PRODUCTS_DATE_AVAILABLE', 'Date Available:');
define('TEXT_PRODUCT_AVAILABLE', 'In Stock');
define('TEXT_PRODUCT_NOT_AVAILABLE', 'Out of Stock');
define('TEXT_PRODUCTS_MANUFACTURER', 'Produkte Manufacturer:');
define('TEXT_PRODUCTS_NAME', 'Produkte Name:');
define('TEXT_PRODUCTS_DESCRIPTION', 'Produkte Description:');
define('TEXT_PRODUCTS_QUANTITY', 'Produkte Quantity:');
define('TEXT_PRODUCTS_MODEL', 'Produkte Model:');
define('TEXT_PRODUCTS_IMAGE', 'Produkte Image:');
define('TEXT_PRODUCTS_URL', 'Produkte URL:');
define('TEXT_PRODUCTS_URL_WITHOUT_HTTP', '<small>(ohne http://)</small>');
define('TEXT_PRODUCTS_PRICE', 'ProduktcPreis:');
define('TEXT_PRODUCTS_WEIGHT', 'ProduktcGewicht:');
define('TEXT_NONE', '--keine--');

define('EMPTY_CATEGORY', 'Leere Kategorie');

define('TEXT_HOW_TO_COPY', 'Kopieren Sie Methode:');
define('TEXT_COPY_AS_LINK', 'Verbindungsprodukt');
define('TEXT_COPY_AS_DUPLICATE', 'Doppeltes Produkt');

define('ERROR_CANNOT_LINK_TO_SAME_CATEGORY', 'Error: Kann nicht Produkte in der gleichen Kategorie verbinden.');
define('ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Error: Katalogbildverzeichnis ist nicht writeable: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Error: Katalogbildverzeichnis besteht nicht: ' . DIR_FS_CATALOG_IMAGES);
?>